# Update address.

Update address.

Endpoint: PATCH /addresses/{address}
Version: 1.0.0

## Path parameters:

  - `address` (string, required)
    The ID of an address. UUID Version 4.
    Example: "00000000-0000-4000-8000-000000000000"

## Request fields (application/json):

  - `latitude` (number,null)
    The geographic latitude of some reference point of the location, specified in degrees and decimal parts. Positive numbers must not include the plus symbol.
    Example: 42.35157458574123

  - `longitude` (number,null)
    The geographic longitude of some reference point of the location, specified in degrees and decimal parts. Positive numbers must not include the plus symbol.
    Example: -71.05763741484657

  - `street_number` (string,null)
    The street number portion of a location's address. In some areas, the street number may contain non-numeric characters. This field can also contain extensions and modifiers to the street number, such as '1/2' or '-B'.
    Example: "107"

  - `street_name` (string,null)
    The street name portion of a location's address.
    Example: "South St"

  - `unit_number` (string,null)
    The number or portion of a larger building or complex. Examples are: 'APT G', '55', etc.
    Example: "Unit 2F"

  - `postal_code` (string,null)
    The postal code portion of a location's address.
    Example: "02111"

  - `city` (string,null)
    The city of a location's address.
    Example: "Boston"

  - `city_region` (string,null)
    A sub-section or area of a defined city. Examples would be SoHo in New York, NY, Ironbound in Newark, NJ or Inside the Beltway.
    Example: "Leather District"

  - `county_or_parish` (string,null)
    The County, Parish or other regional authority of the location.
    Example: "Suffolk County"

  - `state_or_province` (string,null)
    The ISO 3166-2 subdivision code for the state or province of the location. For example, “MA” for Massachusetts, United States.
    Example: "MA"

  - `state_or_province_region` (string,null)
    A sub-section or area of a defined state or province. Examples would be the Keys in FL or Hudson Valley in NY.
    Example: "Cape Cod"

  - `country` (string,null)
    The ISO 3166-1 country code for this for the country of the location.
    Example: "US"

  - `country_region` (string,null)
    A sub-section or area of a defined country. Examples would be Napa Valley in the US, or the Amalfi Coast in Italy.
    Example: "Napa Valley"

  - `external_type` (string,null)
    The type of external ID for the address.
    Enum: "GOOGLE"

  - `external_id` (string,null)
    The external ID for the address.
    Example: "1234567890"

  - `external_url` (string,null)
    The URL for the address.
    Example: "https://www.google.com"

  - `external_data` (array,null)
    The external data for the address.

  - `is_map_dirty` (boolean,null)
    Does this address need to be geocoded?
    Example: true

## Response 200 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "success"

  - `data` (object)
    A street address and additional metadata about a location.

  - `data.id` (string, required)
    ID of the entity. UUID Version 4.
    Example: "00000000-0000-4000-8000-000000000000"

  - `data.latitude` (number,null)
    The geographic latitude of some reference point of the location, specified in degrees and decimal parts. Positive numbers must not include the plus symbol.
    Example: 42.35157458574123

  - `data.longitude` (number,null)
    The geographic longitude of some reference point of the location, specified in degrees and decimal parts. Positive numbers must not include the plus symbol.
    Example: -71.05763741484657

  - `data.street_number` (string,null)
    The street number portion of a location's address. In some areas, the street number may contain non-numeric characters. This field can also contain extensions and modifiers to the street number, such as '1/2' or '-B'.
    Example: "107"

  - `data.street_name` (string,null)
    The street name portion of a location's address.
    Example: "South St"

  - `data.unit_number` (string,null)
    The number or portion of a larger building or complex. Examples are: 'APT G', '55', etc.
    Example: "Unit 2F"

  - `data.postal_code` (string,null)
    The postal code portion of a location's address.
    Example: "02111"

  - `data.city` (string,null)
    The city of a location's address.
    Example: "Boston"

  - `data.city_region` (string,null)
    A sub-section or area of a defined city. Examples would be SoHo in New York, NY, Ironbound in Newark, NJ or Inside the Beltway.
    Example: "Leather District"

  - `data.county_or_parish` (string,null)
    The County, Parish or other regional authority of the location.
    Example: "Suffolk County"

  - `data.state_or_province` (string,null)
    The ISO 3166-2 subdivision code for the state or province of the location. For example, “MA” for Massachusetts, United States.
    Example: "MA"

  - `data.state_or_province_region` (string,null)
    A sub-section or area of a defined state or province. Examples would be the Keys in FL or Hudson Valley in NY.
    Example: "Cape Cod"

  - `data.country` (string,null)
    The ISO 3166-1 country code for this for the country of the location.
    Example: "US"

  - `data.country_region` (string,null)
    A sub-section or area of a defined country. Examples would be Napa Valley in the US, or the Amalfi Coast in Italy.
    Example: "Napa Valley"

  - `data.timezone` (string,null)
    The assumed timezone the address is located in.
    Example: "America/New_York"

  - `data.unparsed_address` (string,null)
    Unparsed text representation of the address.
    Example: "107 South St, Boston MA, 02111"

  - `data.unparsed_address_part_one` (string,null)
    Unparsed text representation of the first part of the address, typically including the street number, street name, and unit number if applicable.
    Example: "107 South St, Unit 2F"

  - `data.unparsed_address_part_two` (string,null)
    Unparsed text representation of the second part of the address, typically including the city, state or province, and postal code.
    Example: "Boston, MA 02111"

  - `data.is_map_dirty` (boolean,null)
    Does this address need to be geocoded?
    Example: true

  - `timestamp` (string,null)
    The request timestamp (ISO 8601).
    Example: "2021-06-30T20:30:00Z"

## Response 404 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "error"

  - `message` (string, required)
    The error message.
    Example: "{ApiError message.}"

  - `code` (integer,null)
    A numeric code corresponding to the error.
    Example: 404

## Response 422 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "fail"

## Response 500 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "error"

  - `message` (string, required)
    The error message.
    Example: "{ApiError message.}"

  - `code` (integer,null)
    A numeric code corresponding to the error.
    Example: 500


